org.apache.tinkerpop.gremlin.tinkergraph.structure

## Class TinkerElement

- java.lang.Object
- - org.apache.tinkerpop.gremlin.tinkergraph.structure.TinkerElement

- All Implemented Interfaces:
    Element
  Direct Known Subclasses:
    TinkerEdge, TinkerVertex, TinkerVertexProperty

      public abstract class TinkerElement
      extends Object
      implements Element

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.Element

      `Element.Exceptions`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `id`
    `protected String` | `label`
    `protected boolean` | `removed`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TinkerElement(Object id, String label)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static IllegalStateException` | `elementAlreadyRemoved(Class<? extends Element> clazz, Object id)`
    `boolean` | `equals(Object object)`
    `int` | `hashCode()`
    `Object` | `id()` Gets the unique identifier for the graph `Element`.
    `String` | `label()` Gets the label for the graph `Element` which helps categorize it.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Element

      `graph, keys, properties, property, property, remove, value, values`

- - ### Field Detail

    - #### id

          protected final Object id

    - #### label

          protected final String label

    - #### removed

          protected boolean removed

  - ### Constructor Detail

    - #### TinkerElement

          protected TinkerElement(Object id,
                                  String label)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### id

          public Object id()

      Description copied from interface: `Element`
      Gets the unique identifier for the graph `Element`.
      Specified by:
        `id` in interface `Element`
      Returns:
        The id of the element

    - #### label

          public String label()

      Description copied from interface: `Element`
      Gets the label for the graph `Element` which helps categorize it.
      Specified by:
        `label` in interface `Element`
      Returns:
        The label of the element

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### elementAlreadyRemoved

          protected static IllegalStateException elementAlreadyRemoved(Class<? extends Element> clazz,
                                                                       Object id)

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.